Name:           surf
Version:        2.0
Release:        %mkrel 3
Summary:        Simple web browser
Group:          Networking/WWW
License:        MIT
URL:            http://surf.suckless.org/
Source0:        http://dl.suckless.org/%{name}/%{name}-%{version}.tar.gz
# Icon from Sirko Kemter aka gnokii
Source1:        surf.svg
Patch0:		surf-2.0-buildfix.patch
Patch2:		surf-2.0-default-homepage.patch
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(webkit2gtk-4.0)
Requires:       dmenu
Requires:	rootcerts
Requires:	xterm
Requires:	curl
Requires:	xprop

%description
surf is a simple web browser based on WebKit/GTK+.

%prep
%setup -q
%autopatch -p1

# don't rebuid at install time
sed -i 's/^install:\s*all/install:/' Makefile

%build
%set_build_flags
%make_build \
	PREFIX=%{_prefix} \
	LIBPREFIX=%{_libdir}/surf

%install
%make_install \
	PREFIX=%{_prefix} \
	LIBPREFIX=%{_libdir}/surf

# desktop file
mkdir -p %{buildroot}%{_datadir}/applications/
cat >> %{buildroot}%{_datadir}/applications/%{_real_vendor}-%{name}.desktop << EOF
[Desktop Entry]
Name=surf
Comment=small and simple browser
Categories=Network;GTK;WebBrowser;
Exec=surf
Icon=surf
Terminal=false
Type=Application
EOF

# desktop icon
install -Dm644 %{SOURCE1} %{buildroot}%{_iconsdir}/hicolor/scalable/apps/%{name}.svg

%files
%license LICENSE
%doc README FAQ.md
%{_bindir}/%{name}
%{_mandir}/man*/%{name}.*
%{_datadir}/applications/%{_real_vendor}-%{name}.desktop
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg


%changelog
* Fri Feb 14 2020 umeabot <umeabot> 2.0-3.mga8
+ Revision: 1517302
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%setup_compile_flags
- replace deprecated %%apply_patches

* Sun Sep 23 2018 umeabot <umeabot> 2.0-2.mga7
+ Revision: 1301246
- Mageia 7 Mass Rebuild

* Tue Oct 31 2017 wally <wally> 2.0-1.mga7
+ Revision: 1175267
- new version 2.0

* Wed Feb 03 2016 umeabot <umeabot> 0.6-6.mga6
+ Revision: 933059
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.6-5.mga5
+ Revision: 748714
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.6-4.mga5
+ Revision: 689623
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.6-3.mga4
+ Revision: 529133
- Mageia 4 Mass Rebuild

* Fri Jul 05 2013 wally <wally> 0.6-2.mga4
+ Revision: 450329
- replace wget with curl

* Fri Jul 05 2013 wally <wally> 0.6-1.mga4
+ Revision: 450317
- new version 0.6
- add icon from Sirko Kemter aka gnokii (via Fedora)
- add patch to fix build
- add patch to fix ca-certs location
- add patch to set default home page
- clean .spec
+ dmorgan <dmorgan>
- imported package surf


* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Jul 05 2010 Simon Wesp <cassmodiah@fedoraproject.org> - 0.4.1-2
- Rebuild against new version of webkitgtk

* Mon Jun 14 2010 Simon Wesp <cassmodiah@fedoraproject.org> - 0.4.1-1
- New upstream release

* Mon May 31 2010 Simon Wesp <cassmodiah@fedoraproject.org> - 0.4-1
- New upstream release

* Tue Mar 23 2010 Simon Wesp <cassmodiah@fedoraproject.org> - 0.3-3
- Patch DSO

* Sun Jan 17 2010 Simon Wesp <cassmodiah@fedoraproject.org> - 0.3-2
- Output is verbose now

* Sun Jan 10 2010 Simon Wesp <cassmodiah@fedoraproject.org> - 0.3-1
- Initial package build
